MillionSend Docs

/suppressions

POST
/suppressions

Request Body

application/json
  1. body
email*string

Bare email address to block; stored normalized (lowercase)

Formatemail
origin?string

Origin recorded on rows this request creates (default manual): bounce, complaint, manual or unsubscribe; an address already suppressed keeps its origin

Value in"bounce""complaint""manual""unsubscribe"

Response Body

Address blocked with the given origin (bounce, complaint, manual or unsubscribe; default manual). Idempotent: an address already suppressed for any reason (bounce, complaint, unsubscribe, manual) keeps its entry and origin, and its existing id is returned.

application/json
  1. response
object*"suppression"
Value in"suppression"
id*string
Formatuuid
Example Request
curl -X POST 'https://api.millionsend.com/suppressions' \  -H 'Content-Type: application/json' \  -d '{  "email": "user@example.com"}'
Example Response
{  "object": "suppression",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}